## org.apache.lucene.search
Class TermQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.TermQuery

All Implemented Interfaces:
  Cloneable

    public class TermQuery

extends Query

A Query that matches documents containing a term. This may be combined with other terms with a `BooleanQuery`.

Constructor Summary
`TermQuery(Term t)` Constructs a query for the term `t`.
`TermQuery(Term t, int docFreq)` Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.
`TermQuery(Term t, TermContext states)` Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

Method Summary
`Weight` `createWeight(IndexSearcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` `equals(Object o)` Returns true iff `o` is equal to this.
`void` `extractTerms(Set<Term> terms)` Expert: adds all terms occurring in this query to the terms set.
`Term` `getTerm()` Returns the term of this query.
`int` `hashCode()` Returns a hash code value for this object.
`String` `toString(String field)` Prints a user-readable version of this query.

Methods inherited from class org.apache.lucene.search.Query
`clone, getBoost, rewrite, setBoost, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TermQuery

    public TermQuery(Term t)

  Constructs a query for the term `t`.

### TermQuery

    public TermQuery(Term t,
                     int docFreq)

  Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

### TermQuery

    public TermQuery(Term t,
                     TermContext states)

  Expert: constructs a TermQuery that will use the provided docFreq instead of looking up the docFreq against the searcher.

Method Detail

### getTerm

    public Term getTerm()

  Returns the term of this query.

### createWeight

    public Weight createWeight(IndexSearcher searcher)
                        throws IOException

  Description copied from class: `Query`
  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

  Overrides:
    `createWeight` in class `Query`
  Throws:
    `IOException`

### extractTerms

    public void extractTerms(Set<Term> terms)

  Description copied from class: `Query`
  Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### toString

    public String toString(String field)

  Prints a user-readable version of this query.

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(Object o)

  Returns true iff `o` is equal to this.

  Overrides:
    `equals` in class `Query`

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

  Overrides:
    `hashCode` in class `Query`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.